## node-jupyterlab 4.0.10+ds1+~cs11.25.27

=== docs/Makefile ===
# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	# clean api build as well
	-rm -rf "$(SOURCEDIR)/../api"
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
node-jupyterlab (4.0.10+ds1+~cs11.25.27-1) unstable; urgency=medium

  * New upstream version 4.0.10+ds1+~cs11.25.27
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 09 Jan 2024 09:28:06 +0400

node-jupyterlab (4.0.9+ds1+~cs11.25.24-2) unstable; urgency=medium

  * Fix autopkgtest
  * Fix copyright paths
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 20 Dec 2023 13:18:48 +0400

node-jupyterlab (4.0.9+ds1+~cs11.25.24-1) unstable; urgency=medium

  * Embed duplicate-package-checker-webpack-plugin and systeminformation

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 11:51:43 +0400

node-jupyterlab (4.0.9+ds1+~cs3.4.4-1) unstable; urgency=medium

  * Remove patch fix-node-xterm-paths.patch that is missing
    from debian/patches/series
  * New upstream version 4.0.9+ds1+~cs3.4.4
  * Add patch for minimatch >= 9
  * Update lintian overrides
  * Require node-typestyle >= 2.4.0+ds+~3.0.10~
  * Upload to unstable

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 08:10:53 +0400

node-jupyterlab (4.0.5+ds1+~cs2.4.6-3) experimental; urgency=medium

  * Build:
    + @jupyterlab/galata
    + @jupyterlab/galata-extension
    + @jupyterlab/buildutils
  * Add build dependencies to:
    + node-playwright
    + node-stdlib
  * Embed systeminformation for build only
  * Add patch to don't try to update @jupyterlab/* libraries
  * Set dependencies

 -- Yadd <yadd@debian.org>  Wed, 20 Sep 2023 11:44:37 +0400

node-jupyterlab (4.0.5+ds1+~cs2.4.6-2) experimental; urgency=medium

  * Build:
    + @jupyterlab/terminal
    + @jupyterlab/terminal-extension
    + @jupyterlab/metapackage
    + @jupyterlab/mathjax-extension
    + @jupyterlab/application-top
  * Add build dependencies to:
    + node-xterm >= 5
    + node-d3-delaunay
    + node-d3-geo-projection
    + node-find-root
    + node-html-loader
    + node-mathjax-full
    + node-micromatch
    + node-path-browserify
    + node-process
    + node-sort-package-json
    , node-source-map-loader
    + node-style-loader
    + node-xterm >= 5

 -- Yadd <yadd@debian.org>  Mon, 18 Sep 2023 12:29:39 +0400

node-jupyterlab (4.0.5+ds1+~cs2.4.6-1) experimental; urgency=medium

  * Build:
    + @jupyterlab/debugger, @jupyterlab/debugger-extension
    + @jupyterlab/template
    + @jupyterlab/tooltip-extension
    + @jupyterlab/builder
    + @jupyterlab/json-extension
    + @jupyterlab/vega5-extension
    + @jupyterlab/testing
  * Embed mini-svg-data-uri
  * Add build dependencies:
    + node-geojson, node-lodash-packages, node-react-json-tree,
      node-simulate-event, node-vega, node-vega-lite, node-vega-embed,
      node-vscode-debugprotocol, node-xtend

 -- Yadd <yadd@debian.org>  Wed, 13 Sep 2023 13:52:06 +0400

node-jupyterlab (4.0.5+ds1+~1.0.2-1) experimental; urgency=medium

  * debian/watch: no alpha releases
  * New upstream version 4.0.5+ds1+~1.0.2
  * Update patches

 -- Yadd <yadd@debian.org>  Sat, 02 Sep 2023 07:47:19 +0400

node-jupyterlab (4.0.2+ds1+~1.0.2-2) experimental; urgency=medium

  * build @jupyterlab/nconvert-css

 -- Yadd <yadd@debian.org>  Mon, 17 Jul 2023 18:00:27 +0400

node-jupyterlab (4.0.2+ds1+~1.0.2-1) experimental; urgency=medium

  * New upstream version 4.0.2+ds1+~1.0.2
  * Unfuzz patches
  * Add build dependency to node-lezer-markdown

 -- Yadd <yadd@debian.org>  Fri, 14 Jul 2023 10:41:37 +0400

node-jupyterlab (4.0.0~rc1+ds1+~1.0.2-1) experimental; urgency=medium

  * Initial release (Closes: #1035651)

 -- Yadd <yadd@debian.org>  Wed, 05 Jul 2023 15:43:54 +0400

=== debian/control ===
Source: node-jupyterlab
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-nodejs
 , dh-sequence-nodejs
 , node-ajv (>= 8)
 , node-babel7
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language
 , node-codemirror-legacy-modes
 , node-codemirror-lint
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view
 , node-commander
 , node-css-loader
 , node-d3-delaunay
 , node-d3-geo-projection
 , node-deepmerge
 , node-dependency-graph
 , node-fortawesome-fontawesome-free
 , node-fs-extra
 , node-find-root
 , node-geojson
 , node-glob
 , node-html-loader
 , node-html-webpack-plugin
 , node-inquirer
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-license-webpack-plugin
 , node-lodash
 , node-lodash-packages
 , node-lumino (>= 2023.4.27)
 , node-marked
 , node-mathjax-full
 , node-micromatch
 , node-mini-css-extract-plugin
 , node-minimatch (>= 9)
 , node-minimist
 , node-package-json
 , node-path-browserify
 , node-playwright
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-schema-utils (>= 4)
 , node-semver
 , node-simulate-event
 , node-sort-package-json
 , node-source-list-map
 , node-source-map
 , node-source-map-loader
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-tapable
 , node-types-estree
 , node-types-jest
 , node-typescript
 , node-typestyle (>= 2.4.0+ds+~3.0.10~)
 , node-uri-js
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-vscode-ws-jsonrpc
 , node-webpack-env
 , node-webpack-merge
 , node-webpack-sources
 , node-whatwg-fetch
 , node-xterm (>= 5)
 , node-xtend
 , node-y-codemirror
 , node-y-protocols
 , node-yjs
 , webpack
Standards-Version: 4.6.2
Homepage: https://github.com/jupyterlab/jupyterlab
Vcs-Git: https://salsa.debian.org/js-team/node-jupyterlab.git
Vcs-Browser: https://salsa.debian.org/js-team/node-jupyterlab
Rules-Requires-Root: no

Package: node-jupyterlab
Architecture: all
Depends: ${misc:Depends}
 , jest
 , node-ajv (>= 8)
 , node-babel7
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language
 , node-codemirror-legacy-modes
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view
 , node-commander
 , node-css-loader
 , node-deepmerge
 , node-fortawesome-fontawesome-free
 , node-fetch
 , node-fs-extra
 , node-glob
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-lodash-packages
 , node-lumino
 , node-marked
 , node-mathjax-full
 , node-mini-css-extract-plugin
 , node-minimist
 , node-path-browserify
 , node-playwright-test
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-semver
 , node-simulate-event
 , node-source-map-loader
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-terser-webpack-plugin
 , node-ts-jest
 , node-typestyle
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vega-statistics
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-webpack-merge
 , node-worker-loader
 , node-ws
 , node-xterm (>= 5)
 , node-xterm-addon-canvas
 , node-xterm-addon-fit
 , node-xterm-addon-web-links
 , node-xterm-addon-webgl
 , node-yjs
 , node-y-protocols
 , webpack
Provides: ${nodejs:Provides}
Description: Node.js modules for JupyterLab
 JupyterLab is the next-generation user interface for Project Jupyter
 offering all the familiar building blocks of the classic Jupyter Notebook
 (notebook, terminal, text editor, file browser, rich outputs, etc.) in a
 flexible and powerful user interface.
 .
 This package provides Node.js modules for JupyterLab.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	ln -s ../../packages/fileeditor-extension node_modules/@jupyterlab || true
	cd duplicate-package-checker-webpack-plugin && sh -ex ../debian/nodejs/duplicate-package-checker-webpack-plugin/build
	sh -ex debian/nodejs/build

override_dh_auto_test:
	# Not a Node.js package

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=auto,\
uversionmangle=s/-?((?:rc|beta|alpha)\d*)/~$1/,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/jupyterlab/jupyterlab/tags .*/archive/.*/v?(\d[\d\.]*)@ARCHIVE_EXT@ group

opts=\
component=jupyter-ydoc,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-ydoc-$1/ \
 https://github.com/jupyter-server/jupyter_ydoc/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=searchmode=plain,\
component=mini-svg-data-uri,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mini-svg-data-uri-$1/ \
 https://registry.npmjs.org/mini-svg-data-uri https://registry.npmjs.org/mini-svg-data-uri/-/mini-svg-data-uri-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=systeminformation,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-systeminformation-$1/ \
 https://github.com/sebhildebrandt/systeminformation/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=duplicate-package-checker-webpack-plugin,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-duplicate-package-checker-webpack-plugin-$1/ \
 https://github.com/darrenscerri/duplicate-package-checker-webpack-plugin/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
